    import {YMapEvent} from 'yjs/src/Types/YMap/YMap.js'

public class | source

# YMapEvent

#### Extends:

YEvent → YMapEvent

Event that describes the changes on a YMap.

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public | keysChanged : * |
public | remote : * |

## Inherited Summary

From class YEvent
public get | path : * Computes the path from `y` to the changed type. |
public | currentTarget : YType The current target on which the observe callback is called. |
public | target : YType The type on which this event was created on. |

## Public Constructors

### public constructor() source

#### Override:

YEvent#constructor

## Public Members

### public keysChanged: * source

### public remote: * source